> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetches a list of Project

> Fetch registered projects.



## OpenAPI

````yaml /api-specs/6.3/flyte-native-api.json get /api/v1/projects
openapi: 3.0.3
info:
  description: >-
    Reference for the upstream Flyte control plane API, which backs Domino
    Flows.
  title: Flyte native API
  version: version not set
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows
security: []
tags:
  - name: Children
  - name: Data
  - name: Description entities
  - name: Domains
  - name: Events
  - name: Executions
  - name: Launch plans
  - name: Matchable attributes
  - name: Metrics
  - name: Named entities
  - name: Node executions
  - name: Project attributes
  - name: Project domain attributes
  - name: Projects
  - name: Task executions
  - name: Tasks
  - name: Version
  - name: Workflow attributes
  - name: Workflows
paths:
  /api/v1/projects:
    get:
      tags:
        - Projects
      summary: Fetches a list of Project
      description: Fetch registered projects.
      operationId: AdminService_ListProjects
      parameters:
        - description: |-
            Indicates the number of projects to be returned.
            +required
          in: query
          name: limit
          required: false
          schema:
            format: int64
            type: integer
        - description: >-
            In the case of multiple pages of results, this server-provided token
            can be used to fetch the next page

            in a query.

            +optional
          in: query
          name: token
          required: false
          schema:
            type: string
        - description: |-
            Indicates a list of filters passed as string.
            More info on constructing filters : <Link>
            +optional
          in: query
          name: filters
          required: false
          schema:
            type: string
        - description: |-
            Indicates an attribute to sort the response values.
            +required
          in: query
          name: sort_by.key
          required: false
          schema:
            type: string
        - description: |-
            Indicates the direction to apply sort key for response values.
            +optional

             - DESCENDING: By default, fields are sorted in descending order.
          in: query
          name: sort_by.direction
          required: false
          schema:
            default: DESCENDING
            enum:
              - DESCENDING
              - ASCENDING
            type: string
        - description: Optional, org filter applied to list project requests.
          in: query
          name: org
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminProjects'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    adminProjects:
      properties:
        projects:
          items:
            $ref: '#/components/schemas/adminProject'
          type: array
        token:
          description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query. If there are no more results, this value will be empty.
          type: string
      title: |-
        Represents a list of projects.
        See Project for more details
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    adminProject:
      description: >-
        Top-level namespace used to classify different entities like workflows
        and executions.
      properties:
        description:
          type: string
        domains:
          items:
            $ref: '#/components/schemas/adminDomain'
          type: array
        id:
          description: Globally unique project name.
          type: string
        labels:
          $ref: '#/components/schemas/adminLabels'
        name:
          description: Display name.
          type: string
        org:
          description: Optional, org key applied to the resource.
          type: string
        state:
          $ref: '#/components/schemas/ProjectProjectState'
      type: object
    protobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    adminDomain:
      description: >-
        Namespace within a project commonly used to differentiate between
        different service instances.

        e.g. "production", "development", etc.
      properties:
        id:
          description: Globally unique domain name.
          type: string
        name:
          description: Display name.
          type: string
      type: object
    adminLabels:
      description: >-
        Label values to be applied to an execution resource.

        In the future a mode (e.g. OVERRIDE, APPEND, etc) can be defined

        to specify how to merge labels defined at registration and execution
        time.
      properties:
        values:
          additionalProperties:
            type: string
          description: Map of custom labels to be applied to the execution resource.
          type: object
      type: object
    ProjectProjectState:
      default: ACTIVE
      description: >-
        The state of the project is used to control its visibility in the UI and
        validity.

         - ACTIVE: By default, all projects are considered active.
         - ARCHIVED: Archived projects are no longer visible in the UI and no longer valid.
         - SYSTEM_GENERATED: System generated projects that aren't explicitly created or managed by a user.
         - SYSTEM_ARCHIVED: System archived projects that aren't explicitly archived by a user.
      enum:
        - ACTIVE
        - ARCHIVED
        - SYSTEM_GENERATED
        - SYSTEM_ARCHIVED
      type: string

````

## Related topics

- [Fetch a list of Execution.](/6.3/api-reference/executions/fetch-a-list-of-execution.md)
- [Fetch a list of Workflow definitions.](/6.3/api-reference/workflows/fetch-a-list-of-workflow-definitions.md)
- [Fetch a list of Task definitions.](/6.3/api-reference/tasks/fetch-a-list-of-task-definitions.md)
- [Fetch a list of Workflow definitions (by name)](/6.3/api-reference/workflows/fetch-a-list-of-workflow-definitions-by-name.md)
